Subject: Bug-Reports

From: Guenther Grau <[email-masked]>

Hi,

now that the reintegration of the changes to the Amiga-tree back
into the NetBSD-current sources is done on a regular basis (a BIG
thanx to Chris Hopps for that :-) I think, that we should also use
the netbsd-bugs list, so that everybody can get the current-bug
list from [email-masked] (if this address is
still valid). Here is a recent output: 

Date: Thu, 17 Feb 1994 05:20:35 -0800
From: Bugs Galore <[email-masked]>
Message-Id: <[email-masked]>
To: Guenther Grau <[email-masked]>
Subject: query-pr output [--summary]

       5 kern-bug kern     open      serious   medium   net        getgroups/setgroups system call should use gid_t * for gidset type.
       6 kern-bug kern     open      serious   medium   net        chown system call uses uid_t, gid_t args while fchown still uses ints.
      10 jtc      lib      open      non-criti low      net        There are no manual pages for the yp clients.
      13 jtc      lib      analyzed  serious   medium   net        getopt(3) should handle wide characters intelligently
      20 gnats-ad lib      open      non-criti low      net        div_t and ldiv_t types should be moved to <machine/ansi.h>
      31 gnats-ad kern     open      serious   medium   net        Need sysconf()
      32 gnats-ad kern     open      serious   medium   net        Need pathconf() & fpathconf()
      39 gnats-ad bin      open      critical  low      net        xntp tries to locate all interfaces, but structure changed
      41 gnats-ad kern     open      non-criti low      net        The old PS/2 mouse driver is buggy.  Replace!
      49 gnats-ad lib      open      non-criti low      net        Curses documentation placed wrong
      66 gnats-ad port-i38 feedback  serious   medium   net        Need to merge SMC8216 support into ed device driver
      67 mycroft  lib      analyzed  non-criti low      net        addch in curses lib is not returning ERR
      68 gnats-ad kern     open      serious   medium   net        call through null function ptr in kernel confuses ddb
      84 gnats-ad kern     open      critical  high     net        way MULTICAST is being defined for ISO is broken
      89 gnats-ad port-mac open      non-criti low      net        Should make /dev/{modem,printer}
      93 gnats-ad bin      open      non-criti medium   net        need to upgrade xntpd to current version, would fix bug #39
      94 gnats-ad kern     open      non-criti low      net        kernel global tickadj should be smaller.
      98 gnats-ad kern     open      serious   medium   net        Semi-hack change to allow diagnosis of call through 0 faults.
      99 gnats-ad port-i38 feedback  serious   medium   net        promiscuous mode doesn't work with (relatively) new if_ed
     105 gnats-ad bin      open      critical  high     net        usr.bin/mail does not obey the spool file locking protocol
     106 jtc      misc     analyzed  serious   medium   net        pwd_mkdb fails due to hard coded paths used
     109 gnats-ad kern     open      serious   medium   net        msdosfs truncates files
     110 jtc      lib      feedback  serious   medium   net        re_comp/re_exec in libcompat don't work
     112 gnats-ad port-i38 open      serious   medium   net        /dev/sound with SBPRO hangs
     113 gnats-ad kern     feedback  serious   medium   net        mmapping /dev/vga returns EINVAL
     117 gnats-ad lib      feedback  non-criti medium   net        setmode(3) doesn't work
     118 gnats-ad port-i38 open      critical  high     net        non-SCSI (AT/IDE style) hard disks get badly corrupted at times.
     123 gnats-ad bin      suspended non-criti medium   net        awk dumps core on empty command string
     126 gnats-ad bin      open      non-criti medium   net        compiling wd.c with optimizations can cause cc1 crash
     127 gnats-ad port-i38 open      critical  medium   net        npx driver's resets may hang some systems
     130 gnats-ad misc     feedback  non-criti low      net        termcap database build with output redirected fails

As you can see, there are different groups. Maybe we have to
create a new group for port-amiga, for Amiga-specific bugs, but
the rest should work just fine. IMHO it is very important to keep
track of all the bugs, because sometimes I don't know if a certain
bug is already fixed or if it is still existant.

What do you think about this?

  Guenther ([email-masked], Maeuschen@irc)

P.S.: While I am at it, I have uploaded new versions of the
projects and the wish-list. Please send any comments, complaints
or whatever to me. Please also report on what projects you are
working to avoid people working on the same project without
knowing from each other. Thanx